Subject: [PATCH v6 4/5] ARM: OMAP: gpmc: enable hwecc for AM33xx SoCs

From: [email-masked] (Tony Lindgren)
Date: Wed, 5 Dec 2012 09:41:14 -0800

* Daniel Mack <[email-masked]> [121205 09:29]:
> On 05.12.2012 18:19, Tony Lindgren wrote:
> > 
> > The plat/cpu.h file will disappear after the merge window, which means
> > omap2+ related drivers cannot use cpu_is_omap macros.
> >
> > For legacy booting systems, this flag should be just passed in the
> > platform_data from the platform init code. Then device tree can
> > deal with it based on the compatible flag.
> >
> 
> Ok, thanks for explaining.
> 
> Does that mean this patch series should be postponed until after the
> merge window and then build upon that change or should we merge the
> patch in question here as is and then care for the cleanups after the
> window?

Well to me it seems that you only have cpu_is_omap usage in
arch/arm/mach-omap2/gpmc-nand.c, which will be OK. Only the code
under drivers/* needs to be fixed for that. So your patches may
be OK, but..

> I can also rebase this set on top of the removal patches if they exist
> already somewhere.

..please check that your patches work with current linux next.

It's too late to queue thing for v3.8 merge window at this point,
as we want the patches sitting in linux next for a week at least
before they get pulled.

And we still need the acks for the device tree binding as well.

So let's plan on queueing these after -rc1.

Regards,

Tony